/*
 * ExNihilo 3D Engine
 * 
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 * Please read AUTHORS file !!!
 * 
 * $Id: ExManagerFont.cpp,v 1.1 2002/11/19 17:10:37 data Exp $
 *
 */
#include "ExManagerFont.h"

bool ExManagerFont::m_flag = false; 
ExManagerFont* ExManagerFont::m_instance = NULL; 

ExManagerFont* ExManagerFont::CreateSingleton(void){
Guard(ExManagerFont* ExManagerFont::CreateSingleton(void))
	if(!m_flag)
	{
		m_flag = true; // We are creating the error log now, so set flag to true
		m_instance = new ExManagerFont; // Create the error log
	}else
	{
		std::cout<<"Error singleton already created"<<std::endl;
	}
	return m_instance; 
UnGuard
}

ExManagerFont::ExManagerFont(void)
{
}

ExManagerFont::~ExManagerFont(void)
{
}

void ExManagerFont::Reset(void)
{
}

void ExManagerFont::Init(void)
{
	ExManagerObject<ExCFont>::Init();
	ExCFont Font;
	Font.SetName("FontTest");
	Add(Font);
}

void ExManagerFont::WriteBitmapFont(std::string text,int PosX,int PosY,int CharSizeX,int CharSizeY,std::string Font)
{
}